#!/bin/bash

# Install translations

currentDir="$( cd "$( dirname "$0" )" && pwd )"
cd $currentDir

echo
echo "Installing translations Banana Accounting"
echo 

# fix
BAN_BASE="ban8000"
BAN_DIR="src/translations"
OUT_DIR="./output"
LRFLAGS= 

# variables editable depending on Qt version
QT_DIR_BASE="mac_bin"
QT_DIR_TRANS="qtsrc/translations"
LR="$QT_DIR_BASE/lrelease"

cp $OUT_DIR/*.qm "/Applications/Banana Experimental 7.app/Contents/Resources/Lang"

echo
echo "Translations installed"
echo