: Create translation files for banana accounting
:
: Authors:
:   Banana.ch SA
:
: Last updated: 2015-02-02
:
: ---------------------------------------------------------------------------

@echo off
echo Translating Bananana Accounting
echo. 

: variables editable depending on Qt version
set QT_DIR_BASE=win_bin
set QT_DIR_TRANS=qtsrc\translations
set LR=%QT_DIR_BASE%\lrelease.exe

if not exist %LR% (
  echo Error: %LR% not found
  echo.
  echo Press ENTER to close the window
  pause > null
  exit /b
)

:fixed
set BAN_BASE=banana
set BAN_DIR=src\translations
set OUT_DIR=.\output
set LRFLAGS= 

:commands

if exist %OUT_DIR%\*.qm (
  del %OUT_DIR%\*.qm
)

:Cinese
%LR% %LRFLAGS% %BAN_DIR%\%BAN_BASE%_chs.ts -qm %OUT_DIR%\%BAN_BASE%_chs.qm
%LR% %LRFLAGS% %BAN_DIR%\qt54_zh_CN.ts %QT_DIR_TRANS%\qt_zh_CN.ts -qm %OUT_DIR%\qt_zh_CN.qm
:German
%LR% %LRFLAGS% %BAN_DIR%\%BAN_BASE%_deu.ts -qm %OUT_DIR%\%BAN_BASE%_deu.qm
%LR% %LRFLAGS% %QT_DIR_TRANS%\qtbase_de.ts -qm %OUT_DIR%\qt_de.qm
:Spanish
%LR% %LRFLAGS% %BAN_DIR%\%BAN_BASE%_esp.ts -qm %OUT_DIR%\%BAN_BASE%_esp.qm
%LR% %LRFLAGS% %BAN_DIR%\qt54_es.ts %QT_DIR_TRANS%\qt_es.ts -qm %OUT_DIR%\qt_es.qm
:French
%LR% %LRFLAGS% %BAN_DIR%\%BAN_BASE%_fra.ts -qm %OUT_DIR%\%BAN_BASE%_fra.qm
%LR% %LRFLAGS% %BAN_DIR%\qt54_fr.ts %QT_DIR_TRANS%\qt_fr.ts -qm %OUT_DIR%\qt_fr.qm
:Italian
%LR% %LRFLAGS% %BAN_DIR%\%BAN_BASE%_ita.ts -qm %OUT_DIR%\%BAN_BASE%_ita.qm
%LR% %LRFLAGS% %QT_DIR_TRANS%\qtbase_it.ts -qm %OUT_DIR%\qt_it.qm
:Dutch
%LR% %LRFLAGS% %BAN_DIR%\%BAN_BASE%_nld.ts -qm %OUT_DIR%\%BAN_BASE%_nld.qm
%LR% %LRFLAGS% %BAN_DIR%\qt54_nl.ts %BAN_DIR%\qt_nl.ts -qm %OUT_DIR%\qt_nl.qm
:Portuguese
%LR% %LRFLAGS% %BAN_DIR%\%BAN_BASE%_ptb.ts -qm %OUT_DIR%\%BAN_BASE%_ptb.qm
%LR% %LRFLAGS% %BAN_DIR%\qt54_pt.ts %QT_DIR_TRANS%\qt_pt.ts -qm %OUT_DIR%\qt_pt.qm
:Russian
%LR% %LRFLAGS% %BAN_DIR%\%BAN_BASE%_rus.ts -qm %OUT_DIR%\%BAN_BASE%_rus.qm
%LR% %LRFLAGS% %QT_DIR_TRANS%\qtbase_ru.ts -qm %OUT_DIR%\qt_ru.qm

echo.
echo.
echo Translations files succesfully created
echo.
echo To update Banana's translations you have to copy manually
echo all '%OUT_DIR%\*.qm' files to 'C:\Program files\Banana9\Lang'
echo.

echo Press ENTER to close the window
pause > null