#!/bin/bash

# Copy first the libraries from Banana to Linguist.app/Contents/Frameworks and .
# then run this command to set the path to libraries


currentDir="$( cd "$( dirname "$0" )" && pwd )"
cd $currentDir

# Linguist change path to libraries
install_name_tool Linguist.app/Contents/MacOS/Linguist -rpath "@loader_path/../../../../lib" "@executable_path/../Frameworks"

# lrelease change path to libraries
install_name_tool lrelease -change "@rpath/QtCore.framework/Versions/5/QtCore" "@executable_path/QtCore.framework/Versions/5/QtCore"
install_name_tool lrelease -change "@rpath/QtXml.framework/Versions/5/QtXml" "@executable_path/QtXml.framework/Versions/5/QtXml"
install_name_tool QtXml.framework/Versions/5/QtXml -change "@rpath/QtCore.framework/Versions/5/QtCore" "@executable_path/QtCore.framework/Versions/5/QtCore"


